## org.codehaus.groovy.grails.web.util
Class StreamCharBuffer.CharBufferChunkReader

    java.lang.Object
      org.codehaus.groovy.grails.web.util.StreamCharBuffer.ChunkReader
          org.codehaus.groovy.grails.web.util.StreamCharBuffer.AbstractChunkReader
              org.codehaus.groovy.grails.web.util.StreamCharBuffer.CharBufferChunkReader

Enclosing class:
  StreamCharBuffer

    final class StreamCharBuffer.CharBufferChunkReader

extends StreamCharBuffer.AbstractChunkReader

Field Summary
`(package private) StreamCharBuffer.CharBufferChunk` `parent`
`(package private) int` `pointer`

Constructor Summary
`StreamCharBuffer.CharBufferChunkReader(StreamCharBuffer.CharBufferChunk parent, boolean removeAfterReading)`

Method Summary
`int` `getReadLenLimit(int askedAmount)`
`int` `read(char[] ch, int off, int len)`

Methods inherited from class org.codehaus.groovy.grails.web.util.StreamCharBuffer.AbstractChunkReader
`getWriterUsedCounter, isValid, next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    StreamCharBuffer.CharBufferChunk parent

### pointer

    int pointer

Constructor Detail

### StreamCharBuffer.CharBufferChunkReader

    public StreamCharBuffer.CharBufferChunkReader(StreamCharBuffer.CharBufferChunk parent,
                                                  boolean removeAfterReading)

Method Detail

### read

    public int read(char[] ch,
                    int off,
                    int len)
             throws IOException

  Specified by:
    `read` in class `StreamCharBuffer.ChunkReader`
  Throws:
    `IOException`

### getReadLenLimit

    public int getReadLenLimit(int askedAmount)

  Specified by:
    `getReadLenLimit` in class `StreamCharBuffer.ChunkReader`

Copyright (c) 2005-2009 The Grails project